Verify reset token - Fabric
Verify reset token
cURL
curl --request GET \
--url https://demo.fabric.zone/api-commerceIdentity/auth/token/{token} \
--header 'x-site-context: <x-site-context>'
Python
import requests
url = "https://demo.fabric.zone/api-commerceIdentity/auth/token/{token}"
headers = {"x-site-context": "<x-site-context>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript
const options = {method: 'GET', headers: {'x-site-context': '<x-site-context>'}};
fetch('https://demo.fabric.zone/api-commerceIdentity/auth/token/{token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Responses
200
{ "tokenValid": true, "userId": "6169b2d892a5f30009d76480" }401
{ "error": "TOKEN_HAS_EXPIRED", "code": "400", "message": "This reset token is no longer valid" }404
{ "error": "TOKEN_NOT_FOUND", "code": "404", "message": "Token not found" }
Headers
x-site-context
- Type: string
- Required: Yes
- Description: The
x-site-contextheader is a JSON object that contains information about the source you wish to pull from. The mandatoryaccountis the 24 character identifier found in Copilot. Thechannel(Sales channel ID),stage(environment name), anddateattributes can be used to further narrow the scope of your data source.
Example:
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Path Parameters
- token
- Type: string
- Required: Yes
- Description: Password reset token.
Response Statuses
- 200
- Type: application/json
- Description: OK
Response Body:
{
"tokenValid": true,
"userId": "6169b2d892a5f30009d76480"
}